%define upstream_name    HTML-FromANSI
%define upstream_version 2.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Mark up ANSI sequences as HTML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(Term::VT102::Boundless)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::use::ok)
BuildArch: noarch

%description
This small module converts ANSI text sequences to corresponding HTML codes,
using stylesheets to control color and blinking properties.

It exports 'ansi2html()' by default, which takes an array, joins it it into
a single scalar, and returns its HTML rendering.

From version 2.00 an object oriented api which is safer for multiple uses
(no more manipulation of shared '%Options') is available. It is reccomended
that you no longer import any functions by doing:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/ansi2html
/usr/share/man/man1/ansi2html.1.xz



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.30.0-2.mga3
+ Revision: 368025
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 28 2012 shlomif <shlomif> 2.30.0-1.mga3
+ Revision: 311220
- imported package perl-HTML-FromANSI

